> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-fbfa8bee.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# ClickPipe の設定を更新

> **この endpoint はベータです。** API コントラクトは安定しており、今後 breaking changes が発生することは想定されていません。 <br /><br /> 指定した ClickPipe の advanced settings を更新します。値として String、数値、またはブール値を指定できるキー・バリューのペアを送信します。



## OpenAPI

````yaml /ja/_specs/cloud-openapi.json put /v1/organizations/{organizationId}/services/{serviceId}/clickpipes/{clickPipeId}/settings
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/services/{serviceId}/clickpipes/{clickPipeId}/settings:
    put:
      tags:
        - ClickPipes
      summary: ClickPipe の設定を更新
      description: >-
        **この endpoint はベータです。** API コントラクトは安定しており、今後 breaking changes
        が発生することは想定されていません。 <br /><br /> 指定した ClickPipe の advanced settings
        を更新します。値として String、数値、またはブール値を指定できるキー・バリューのペアを送信します。
      parameters:
        - description: サービスを所有する組織の ID。
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: ClickPipe を所有するサービスの ID。
          in: path
          name: serviceId
          required: true
          schema:
            format: uuid
            type: string
        - description: 設定の更新対象となる ClickPipe の ID。
          in: path
          name: clickPipeId
          required: true
          schema:
            format: uuid
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ClickPipeSettingsPutRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 各リクエストに割り当てられる一意の ID。UUIDv4
                    format: uuid
                    type: string
                  result:
                    $ref: '#/components/schemas/ClickPipeSettingsGetResponse'
                  status:
                    description: HTTP ステータスコード。
                    example: 200
                    type: number
                type: object
          description: 成功レスポンス
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: 詳細なエラー説明。
                    type: string
                  status:
                    description: HTTP ステータスコード。
                    example: 400
                    type: number
                type: object
          description: クライアントエラーと判断される理由により、server がリクエストを処理できない、または処理しません。
components:
  schemas:
    ClickPipeSettingsPutRequest:
      properties:
        clickhouse_max_download_threads:
          description: 最大ダウンロードスレッド数。同時実行するダウンロードスレッドの最大数です
          example: 4
          maximum: 32
          minimum: 0
          nullable: true
          type: integer
        clickhouse_max_insert_threads:
          description: 最大挿入スレッド数。同時実行する挿入スレッドの最大数です
          example: 1
          maximum: 16
          minimum: 0
          nullable: true
          type: integer
        clickhouse_max_threads:
          description: 最大スレッド数。ファイル処理の同時実行スレッドの最大数です
          example: 8
          maximum: 64
          minimum: 0
          nullable: true
          type: integer
        clickhouse_min_insert_block_size_bytes:
          description: 最小挿入ブロックサイズ（バイト）。挿入用データブロックの最小サイズです（バイト単位）
          example: 1073741824
          maximum: 10737418240
          minimum: 0
          nullable: true
          type: integer
        clickhouse_parallel_distributed_insert_select:
          description: >-
            Parallel distributed insert select。Parallel distributed insert
            select の設定です
          example: 2
          maximum: 2
          minimum: 0
          nullable: true
          type: integer
        clickhouse_parallel_view_processing:
          description: 並列ビュー処理。アタッチされたビューへのプッシュを逐次ではなく同時実行で有効にするかどうか
          example: false
          nullable: true
          type: boolean
        object_storage_concurrency:
          description: オブジェクトストレージの同時実行数。ファイル処理の同時実行スレッド数です
          example: 1
          maximum: 35
          minimum: 1
          nullable: true
          type: integer
        object_storage_max_file_count:
          description: 最大ファイル数。1 回の挿入バッチで処理するファイルの最大数です
          example: 100
          maximum: 10000
          minimum: 1
          nullable: true
          type: integer
        object_storage_max_insert_bytes:
          description: 最大挿入バイト数。1 回の挿入バッチで処理する最大バイト数です
          example: 10737418240
          maximum: 53687091200
          minimum: 10485760
          nullable: true
          type: integer
        object_storage_polling_interval_ms:
          description: オブジェクトストレージのポーリング間隔。新しいオブジェクトストレージデータを継続的に取り込むための確認間隔を設定します
          example: 30000
          maximum: 3600000
          minimum: 100
          nullable: true
          type: integer
        object_storage_use_cluster_function:
          description: cluster 関数を使用。分散処理に ClickHouse の cluster 関数を使用するかどうか
          example: true
          nullable: true
          type: boolean
        streaming_max_insert_wait_ms:
          description: ストリーミングの最大挿入待機時間。ClickHouse にデータを挿入するまでの最大待機時間を設定します。
          example: 5000
          maximum: 60000
          minimum: 500
          nullable: true
          type: integer
    ClickPipeSettingsGetResponse:
      properties:
        clickhouse_max_download_threads:
          description: 最大ダウンロードスレッド数。同時実行するダウンロードスレッドの最大数です
          example: 4
          maximum: 32
          minimum: 0
          nullable: true
          type: integer
        clickhouse_max_insert_threads:
          description: 最大挿入スレッド数。同時実行する挿入スレッドの最大数です
          example: 1
          maximum: 16
          minimum: 0
          nullable: true
          type: integer
        clickhouse_max_threads:
          description: 最大スレッド数。ファイル処理の同時実行スレッドの最大数です
          example: 8
          maximum: 64
          minimum: 0
          nullable: true
          type: integer
        clickhouse_min_insert_block_size_bytes:
          description: 最小挿入ブロックサイズ（バイト）。挿入用データブロックの最小サイズです（バイト単位）
          example: 1073741824
          maximum: 10737418240
          minimum: 0
          nullable: true
          type: integer
        clickhouse_parallel_distributed_insert_select:
          description: >-
            Parallel distributed insert select。Parallel distributed insert
            select の設定です
          example: 2
          maximum: 2
          minimum: 0
          nullable: true
          type: integer
        clickhouse_parallel_view_processing:
          description: 並列ビュー処理。アタッチされたビューへのプッシュを逐次ではなく同時実行で有効にするかどうか
          example: false
          nullable: true
          type: boolean
        object_storage_concurrency:
          description: オブジェクトストレージの同時実行数。ファイル処理の同時実行スレッド数です
          example: 1
          maximum: 35
          minimum: 1
          nullable: true
          type: integer
        object_storage_max_file_count:
          description: 最大ファイル数。1 回の挿入バッチで処理するファイルの最大数です
          example: 100
          maximum: 10000
          minimum: 1
          nullable: true
          type: integer
        object_storage_max_insert_bytes:
          description: 最大挿入バイト数。1 回の挿入バッチで処理する最大バイト数です
          example: 10737418240
          maximum: 53687091200
          minimum: 10485760
          nullable: true
          type: integer
        object_storage_polling_interval_ms:
          description: オブジェクトストレージのポーリング間隔。新しいオブジェクトストレージデータを継続的に取り込むための確認間隔を設定します
          example: 30000
          maximum: 3600000
          minimum: 100
          nullable: true
          type: integer
        object_storage_use_cluster_function:
          description: cluster 関数を使用。分散処理に ClickHouse の cluster 関数を使用するかどうか
          example: true
          nullable: true
          type: boolean
        streaming_max_insert_wait_ms:
          description: ストリーミングの最大挿入待機時間。ClickHouse にデータを挿入するまでの最大待機時間を設定します。
          example: 5000
          maximum: 60000
          minimum: 500
          nullable: true
          type: integer
  securitySchemes:
    basicAuth:
      description: >-
        ClickHouse Cloud console で取得した key ID と key secret を使用してください:
        https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````